Package Details: kazam 1.4.5-7

Git Clone URL: https://aur.archlinux.org/kazam.git (read-only)
Package Base: kazam
Description: A screencasting program with design in mind
Upstream URL: https://launchpad.net/kazam
Keywords: screencast
Licenses: GPL
Conflicts: kazam-bzr, kazam-stable-bzr
Submitter: Maxwel
Maintainer: fbrennan
Last Packager: fbrennan
Votes: 120
Popularity: 0.997006
First Submitted: 2012-05-21 21:04
Last Updated: 2018-12-26 14:40

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

FredBezies commented on 2016-10-08 07:42

Or a least if you can provide a patch... It could be great :D

quenyen commented on 2016-10-07 19:22

I was afraid you were going to say that....I agree I am getting the same thing when I try to run the program from the downloaded tar ball, or from the bzr most recent branch. I am thinking about forking it on my git hub account then try to fix the issue because I REALLY want/need this fixed.

FredBezies commented on 2016-10-04 11:38

I will look at this version as soon as possible.

Cannot get kazam 1.5.3 - which is a development version - to run using desktop file.

With command line :

[fred@fredo-arch ~]$ /usr/bin/kazam:32: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk
/usr/lib/python3.5/site-packages/kazam/backend/webcam.py:24: PyGIWarning: GUdev was imported without specifying a version first. Use gi.require_version('GUdev', '1.0') before import to ensure that the right version gets loaded.
from gi.repository import GObject, GUdev
Traceback (most recent call last):
File "/usr/bin/kazam", line 147, in <module>
from kazam.app import KazamApp
File "/usr/lib/python3.5/site-packages/kazam/app.py", line 36, in <module>
from kazam.backend.prefs import *
File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 566, in <module>
prefs = Prefs()
File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 144, in __init__
self.read_config()
File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 224, in read_config
self.audio_source = int(self.config.get("main", "audio_source"))
File "/usr/lib/python3.5/site-packages/kazam/backend/config.py", line 114, in get
ret = ConfigParser.get(self, section, key)
File "/usr/lib/python3.5/configparser.py", line 797, in get
d)
File "/usr/lib/python3.5/configparser.py", line 393, in before_get
self._interpolate_some(parser, option, L, value, section, defaults, 1)
File "/usr/lib/python3.5/configparser.py", line 406, in _interpolate_some
rawval = parser.get(section, option, raw=True, fallback=rest)
TypeError: get() got an unexpected keyword argument 'raw'

Will try to get a bzr version running and usable asap.

quenyen commented on 2016-10-04 11:34

Any chance that Kazam could be updated to the 1.53 version? That version makes it an excellent replacement for cheese which is just awful.

FredBezies commented on 2016-01-13 09:01

@zenolijo : missing depend added. Thanks for your feedback.

zenolijo commented on 2016-01-13 08:12

There's a missing dependency, gst-plugins-base.
Most people probably already have this installed because it's a pretty common package, but if you come from a fresh Arch install the program will fail to fetch the audio decoder with Gst.ElementFactory.make, and refuse to record anything.

After this, it worked flawlessly. Very nice application.

therocode commented on 2016-01-06 21:29

FredBezies, it works now, awesome! :D Thanks and no worries!

FredBezies commented on 2016-01-06 21:17

New version with bugfix for launching problem. Sorry for being so late fixing it :(

FredBezies commented on 2016-01-06 16:12

I'll to look at kazam asap and see if there is a patch to apply in order to fix this bug.

EDIT : found this -> https://bugs.launchpad.net/ubuntu/+source/kazam/+bug/1500083

Will upgrade asap.

therocode commented on 2016-01-06 12:20

I get the same error "TypeError: get() got an unexpected keyword argument 'raw'" as YumeMichi after updating yesterday. Hadn't updated in a month or so.